
%define rel 1

Summary:        Memory-mapped key-value database
Name:           lmdb
Version:        0.9.18
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Libraries
URL:            http://symas.com/mdb/
Source:		https://github.com/LMDB/lmdb/archive/LMDB_%{version}/lmdb-%{version}.tar.xz
Patch0: 	lmdb-make.patch
BuildRequires:  doxygen

%description
LMDB is an ultra-fast, ultra-compact key-value embedded data
store developed by for the OpenLDAP Project. By using memory-mapped files,
it provides the read performance of a pure in-memory database while still 
offering the persistence of standard disk-based databases, and is only limited
to the size of the virtual address space.

%files
%_bindir/*
%_mandir/man1/*

#--------------------------------------------------------------------

%define major 0
%define liblmdb %mklibname lmdb %{major}

%package -n %liblmdb
Summary:      Memory-mapped key-value database
Group:        System/Libraries


%description -n %liblmdb
LMDB is an ultra-fast, ultra-compact key-value embedded data
store developed by for the OpenLDAP Project. By using memory-mapped files,
it provides the read performance of a pure in-memory database while still 
offering the persistence of standard disk-based databases, and is only limited
to the size of the virtual address space.

%files -n %liblmdb
%_libdir/liblmdb.so.%{major}*

#--------------------------------------------------------------------

%define lmdb_devel %mklibname lmdb -d

%package -n %lmdb_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %liblmdb = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %lmdb_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %lmdb_devel
%_libdir/liblmdb.so
%_includedir/*.h

#--------------------------------------------------------------------


%prep
%setup -q  -n %name-LMDB_%{version}
%apply_patches

%build
pushd libraries/liblmdb
%make
# Build doxygen documentation
doxygen
# remove unpackaged files
rm -f Doxyfile
rm -rf man # Doxygen generated manpages


%install
rm -rf %buildroot
pushd libraries/liblmdb
# make install expects existing directory tree
mkdir -m 0755 -p %{buildroot}%{_prefix}{/bin,/include}
mkdir -m 0755 -p %{buildroot}{%{_libdir},%{_mandir}/man1}
make DESTDIR=%{buildroot} prefix=%{_prefix} libdir=%{_libdir} mandir=%{_mandir} install

%find_lang --all %{name}5


%changelog
* Fri Mar 25 2016 bb <bb> 0.9.18-1pclos2016
- create
